package be.ugent.jvl.user;

import javafx.scene.control.Label;
import javafx.scene.control.TextField;

public class UserController {

    public TextField voornaam;

    public Label voornaamError;

    public TextField naam;

    public Label naamError;

    public Label resultaat;

    private String nummerUitNaam(String voornaam, String naam) {
        String resultaat = voornaam.trim().substring(0, 1) + naam;
        resultaat = resultaat.replaceAll("\\s", "").toLowerCase();
        if (resultaat.length() > 8) {
            return resultaat.substring(0, 8);
        } else {
            return resultaat;
        }

    }

    public void maakNummer() {
        checkVoornaam();
        checkNaam();
        if (voornaamError.isVisible() || naamError.isVisible()) {
            resultaat.setText("");
        } else {
            resultaat.setText(
                    nummerUitNaam(voornaam.getText(), naam.getText())
            );
        }

    }
    
    private void checkLabel (TextField field, Label errorLabel) {
        errorLabel.setVisible(field.getText().trim().isEmpty());        
    }
    
    
    /* bovenstaande is beter
    private void checkLabel (TextField field, Label errorLabel) {
        if (field.getText().trim().isEmpty()) {
            errorLabel.setVisible (true);
        } else {
            errorLabel.setVisible (false);
        }
    }
    */
    
    public void checkVoornaam () {
        checkLabel (voornaam, voornaamError);
    }
    
    public void checkNaam () {
        checkLabel (naam, naamError);
    }
}
